#include "stdio.h"
#include "allegro.h"

PACKFILE *input;

int main()
{
  BITMAP *bmp;
  RGB color;
  int i, j, b, h;
  char c;

  allegro_init();
  set_color_depth(24);
  input=pack_fopen("title.png","r");
  if(input==NULL)
    exit(-1);

  pack_fseek(input,12);

  b=pack_igetw(input);
  h=pack_igetw(input);

  bmp=create_bitmap(b,h);

  pack_fseek(input,18);

  for(i=0;i<h;i++) {
    for(j=0;j<b;j++) {
      color.r=pack_getc(input);
      color.g=pack_getc(input);
      color.b=pack_getc(input);
      c=pack_getc(input);
      putpixel(bmp,j,i,makecol(color.b,color.g,color.r));
    }
  }

  save_bitmap("title.bmp",bmp,(RGB*)0);

  pack_fclose(input);
}
