import pygame, sys

def inputSide(screen):
    font=pygame.font.Font("trebucbd.ttf",20)

    redArea=pygame.Rect((20,220,360,300))
    blueArea=pygame.Rect((420,220,360,300))

    while 1:
        screen.fill((0,0,0))
        textSurface=font.render("Choose side:",True,(255,255,255),(0,0,0))
        screen.blit(textSurface,textSurface.get_rect().move((400-textSurface.get_width()/2,150)))
        
        screen.fill((255,0,0),redArea)
        textSurface=font.render("RED",True,(255,255,255),(255,0,0))
        screen.blit(textSurface,textSurface.get_rect().move((200-textSurface.get_width()/2,300)))

        screen.fill((0,0,255),blueArea)
        textSurface=font.render("BLUE",True,(255,255,255),(0,0,255))
        screen.blit(textSurface,textSurface.get_rect().move((600-textSurface.get_width()/2,300)))
        
        for event in pygame.event.get():
            if event.type==pygame.QUIT:
                sys.exit()
            elif event.type == pygame.KEYDOWN:
                if event.key == pygame.K_ESCAPE:
                    sys.exit()
            elif event.type == pygame.MOUSEBUTTONUP:
                if redArea.collidepoint(event.pos):
                    return 1
                elif blueArea.collidepoint(event.pos):
                    return 2
                
        pygame.display.flip()

if __name__ == "__main__":
    pygame.init()

    screen=pygame.display.set_mode((800,600))

    result=inputSide(screen)
    if result==1:
        print "red"
    elif result==2:
        print "blue"
