import pygame, sys

def inputString(screen,prompt):
    font=pygame.font.Font("trebucbd.ttf",20)

    inputString=""
    
    while 1:
        screen.fill((0,0,0))
        textSurface=font.render(prompt,True,(255,255,255),(0,0,0))
        
        screen.blit(textSurface,textSurface.get_rect().move((400-textSurface.get_width()/2,200)))
        
        textSurface=font.render(inputString,True,(255,0,0),(0,0,0))
        screen.blit(textSurface,textSurface.get_rect().move((400-textSurface.get_width()/2,300)))
        
        for event in pygame.event.get():
            if event.type==pygame.QUIT:
                sys.exit()
            elif event.type == pygame.KEYDOWN:
                if event.key == pygame.K_ESCAPE:
                    sys.exit()
                elif event.key == pygame.K_BACKSPACE:
                    # truncate last character
                    inputString=inputString[:-1]
                elif event.key == pygame.K_RETURN:
                    return inputString
                else:
                    inputString=inputString+event.unicode
                
        pygame.display.flip()

if __name__ == "__main__":
    pygame.init()
    
    screen=pygame.display.set_mode((800,600))

    inputString(screen,"Enter your player name:")
    inputString(screen,"Enter Server IP address:")
