import pygame, sys

def loadMap(screen, percentage):
    font=pygame.font.Font("trebucbd.ttf",20)

    inputString=""
    
    screen.fill((0,0,0))
    textSurface=font.render("LOADING MAP...",True,(255,255,255),(0,0,0))
    screen.blit(textSurface,textSurface.get_rect().move((400-textSurface.get_width()/2,180)))
    
    for i in range(33):
        screen.set_at((199,284+i),(255,255,255))
        screen.set_at((600,284+i),(255,255,255))
        
    for i in range(400):
        screen.set_at((200+i,284),(255,255,255))
        screen.set_at((200+i,315),(255,255,255))
        
    width=400*percentage
    screen.fill((0,255,0),(200,285,width,30))
        
    for event in pygame.event.get():
        if event.type==pygame.QUIT:
            sys.exit()
        elif event.type == pygame.KEYDOWN:
            if event.key == pygame.K_ESCAPE:
                sys.exit()
                
    pygame.display.flip()

if __name__ == "__main__":
    pygame.init()

    screen=pygame.display.set_mode((800,600))

    for i in range(101):
        print i/100.0
        loadMap(screen, i/100.0)
