#ifndef CLIENT_H
#define CLIENT_H

#include "connection.h"
#include "message.h"

class Client {
 public:
  void connectToServer(std::string serverName, int serverPort);
  void processMessage(Message *m);

  void step();

  Connection *getConnection();

 private:
  int socketID;
  Connection *connection;
};

#endif
