#include "timer.h"

Timer *Timer::instance=0;

Timer *Timer::getSingleton()
{
  if(instance==0)
    instance=new Timer;

  return instance;
}

Timer::Timer()
{
  time=0.0;
  lastIncrement=0.0;
}

void Timer::setTime(float time)
{
  lastIncrement=time-this->time;
  this->time=time;
}

void Timer::stepTime(float increment)
{
  lastIncrement=increment;
  time+=increment;
}
