#ifndef TIMER_H
#define TIMER_H

class Timer {
 public:
  Timer();

  void setTime(float time);
  void stepTime(float increment);
  float getTime() { return time; };
  float getIncrement() { return lastIncrement; };

  static Timer *getSingleton();

 private:
  static Timer *instance;

  float time;
  float lastIncrement;
};

#endif
