import pygame, unit

class Soldier(unit.Unit):
    def __init__(self, world, color):
        unit.Unit.__init__(self,world)
        self.idle=pygame.image.load("gfx/rm.bmp")
        self.idle=pygame.transform.rotate(self.idle,180) # HACK
        self.idle=self.shadeBitmap(self.idle,color)
        self.idle.set_colorkey((255,0,255))
        self.dead=pygame.image.load("gfx/rmd.bmp")
        self.dead=pygame.transform.rotate(self.dead,180) # HACK
        self.dead=self.shadeBitmap(self.dead,color)
        self.dead.set_colorkey((255,0,255))
        self.shooting=pygame.image.load("gfx/rms.bmp")
        self.shooting=pygame.transform.rotate(self.shooting,180) # HACK
        self.shooting=self.shadeBitmap(self.shooting,color)
        self.shooting.set_colorkey((255,0,255))
        self.setSize(self.idle.get_rect().width,self.idle.get_rect().height)
        self.setMovementSpeed(2);
        self.setMaxHealth(20)
        self.setCurrentHealth(20)
        self.setMaxDamage(1)
        self.setShootingRange(100)
        self.createFrame()

    def getBitmap(self):
        if self.getCurrentHealth()>0:
            if self.isShooting():
                return self.rotateBitmap(self.shooting)
            else:
                return self.rotateBitmap(self.idle)
        else:
            return self.dead

